!!ARBfp1.0

TEMP alphacolor, solidcolor, texcoord;
TEMP alphacoord, solidcoord;

# normalize incoming texcoord
DP3 texcoord.w, fragment.texcoord[0], fragment.texcoord[0];
RSQ texcoord.w, texcoord.w;
MUL texcoord.xyz, texcoord.w, fragment.texcoord[0];

# scale it down
MUL texcoord, texcoord, 2.953125;

# scroll the sky
ADD solidcoord, texcoord, program.env[4].x;
ADD alphacoord, texcoord, program.env[4].y;

# perform the texturing
TEX solidcolor, solidcoord, texture[0], 2D;
TEX alphacolor, alphacoord, texture[1], 2D;

# blend to output
LRP result.color, alphacolor.a, alphacolor, solidcolor;

# done
END
